Bug 1074973 - (CVE-2018-5246) VUL-0: CVE-2018-5246: ImageMagick: memory leaks in ReadPATTERNImage incoders/pattern.c could lead to denial of service
(CVE-2018-5246)
VUL-0: CVE-2018-5246: ImageMagick: memory leaks in ReadPATTERNImage incoders/...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/197753/
CVSSv3:RedHat:CVE-2018-5246:3.3:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-08 09:08 UTC by Victor Pereira
Modified: 2018-02-10 11:56 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2018-01-08 09:08:59 UTC
CVE-2018-5246

In ImageMagick 7.0.7-17 Q16, there are memory leaks in ReadPATTERNImage in
coders/pattern.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-5246
http://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-5246.html
http://www.cvedetails.com/cve/CVE-2018-5246/
https://github.com/ImageMagick/ImageMagick/issues/929
Comment 1 Petr Gajdos 2018-01-09 12:36:42 UTC
ImageMagick-only issue.

BEFORE

12/ImageMagick

$ valgrind -q --leak-check=full montage poc.pattern /dev/null
montage: unrecognized image format `poc.pattern' @ error/pattern.c/ReadPATTERNImage/981.
montage: missing an image filename `/dev/null' @ error/montage.c/MontageImageCommand/1782.
==879== 16,997 (16,792 direct, 205 indirect) bytes in 1 blocks are definitely lost in loss record 15 of 15
==879==    at 0x4C29110: malloc (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==879==    by 0x4F48E1F: AcquireImageInfo (image.c:334)
==879==    by 0x4F4AB3D: CloneImageInfo (image.c:936)
==879==    by 0x841803A: ???
==879==    by 0x4EBFE1A: ReadImage (constitute.c:601)
==879==    by 0x4EC0EDA: ReadImages (constitute.c:907)
==879==    by 0x53B308F: MontageImageCommand (montage.c:427)
==879==    by 0x5385C52: MagickCommandGenesis (mogrify.c:166)
==879==    by 0x400836: MontageMain (montage.c:77)
==879==    by 0x400836: main (montage.c:88)
==879== 
$

11/ImageMagick

$ valgrind -q --leak-check=full montage poc.pattern /dev/null
montage: unrecognized image format `poc.pattern'.
montage: missing an image filename `/dev/null'.
==903== 
==903== 16,784 bytes in 1 blocks are definitely lost in loss record 2 of 2
==903==    at 0x4C256AE: malloc (in /usr/lib64/valgrind/amd64-linux/vgpreload_memcheck.so)
==903==    by 0x4F0AF9E: AcquireImageInfo (image.c:368)
==903==    by 0x4F0B05D: CloneImageInfo (image.c:1223)
==903==    by 0x9F081BC: ???
==903==    by 0x4E94D87: ReadImage (constitute.c:441)
==903==    by 0x5325799: MontageImageCommand (montage.c:401)
==903==    by 0x400C6B: main (montage.c:100)
$

PATCH

https://github.com/ImageMagick/ImageMagick/commit/1c3dd700bbb17837ee6f540aff3eafc76262accf

AFTER

12/ImageMagick

$ valgrind -q --leak-check=full montage poc.pattern /dev/null
montage: unrecognized image format `poc.pattern' @ error/pattern.c/ReadPATTERNImage/983.
montage: missing an image filename `/dev/null' @ error/montage.c/MontageImageCommand/1782.
$

11/ImageMagick

$ valgrind -q --leak-check=full montage poc.pattern /dev/null
montage: unrecognized image format `poc.pattern'.
montage: missing an image filename `/dev/null'.
$
Comment 2 Petr Gajdos 2018-01-09 12:40:38 UTC
I believe all fixed.
Comment 6 Swamp Workflow Management 2018-01-18 14:10:34 UTC
SUSE-SU-2018:0130-1: An update that fixes 21 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047898,1050120,1050606,1051446,1052468,1052550,1052710,1052720,1052731,1052732,1055065,1055323,1055434,1055855,1058640,1059751,1074123,1074969,1074973,1074975
CVE References: CVE-2017-10800,CVE-2017-11141,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-12434,CVE-2017-12564,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14326,CVE-2017-14533,CVE-2017-17881,CVE-2017-18022,CVE-2018-5246,CVE-2018-5247
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.26.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.26.1
Comment 7 Swamp Workflow Management 2018-01-18 14:16:26 UTC
SUSE-SU-2018:0132-1: An update that fixes 31 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042948,1047044,1047898,1049373,1050120,1050606,1051412,1051446,1052252,1052468,1052550,1052710,1052720,1052731,1052732,1052771,1055065,1055323,1055434,1055855,1058082,1058640,1059751,1072902,1074122,1074123,1074425,1074610,1074969,1074973,1074975
CVE References: CVE-2017-1000445,CVE-2017-1000476,CVE-2017-10800,CVE-2017-11141,CVE-2017-11449,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-11751,CVE-2017-12430,CVE-2017-12434,CVE-2017-12564,CVE-2017-12642,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14249,CVE-2017-14326,CVE-2017-14533,CVE-2017-17680,CVE-2017-17881,CVE-2017-17882,CVE-2017-18022,CVE-2017-9409,CVE-2018-5246,CVE-2018-5247
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.22.1
Comment 8 Swamp Workflow Management 2018-01-20 17:14:50 UTC
openSUSE-SU-2018:0155-1: An update that fixes 21 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047044,1047898,1050120,1050606,1051446,1052468,1052550,1052710,1052720,1052731,1052732,1055065,1055323,1055434,1055855,1058640,1059751,1074123,1074969,1074973,1074975
CVE References: CVE-2017-10800,CVE-2017-11141,CVE-2017-11529,CVE-2017-11644,CVE-2017-11724,CVE-2017-12434,CVE-2017-12564,CVE-2017-12667,CVE-2017-12670,CVE-2017-12672,CVE-2017-12675,CVE-2017-13060,CVE-2017-13146,CVE-2017-13648,CVE-2017-13658,CVE-2017-14326,CVE-2017-14533,CVE-2017-17881,CVE-2017-18022,CVE-2018-5246,CVE-2018-5247
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-49.1
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.21.1
Comment 9 Marcus Meissner 2018-02-10 11:56:12 UTC
released